Bug 1459307 - Retirement - log the zone when raising a retirement event.
Retirement - log the zone when raising a retirement event.
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control (Show other bugs)
5.7.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.7.3
Assigned To: Tina Fitzgerald
Dave Johnson
: ZStream
Depends On: 1459236
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 14:31 EDT by Satoe Imaishi
Modified: 2017-06-28 11:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1459236
Environment:
Last Closed: 2017-06-28 11:04:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-06 14:41:05 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/073ac760d8b653edc94408dc07e01e34e578fdbd

commit 073ac760d8b653edc94408dc07e01e34e578fdbd
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jun 6 12:10:35 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 14:36:11 2017 -0400

    Merge pull request #15317 from tinaafitz/retirement_zone_log_message
    
    Log zone(q_options) when raising retirement event.
    (cherry picked from commit cc83076fc3d4b91e85906e35d376359ce7d542be)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459307

 app/models/mixins/retirement_mixin.rb | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
Comment 3 Mike Shriver 2017-06-12 09:20:54 EDT
Tested in CFME 5.7.3.1.20170608124102_4b35a9e

Retirement events are now logged in evm.log witht he queue options included.

For example, the following message was logged, which includes the zone, when this resource was retired.

evm.log:
INFO -- : Raising Retirement Event for [test-ret-policy-shriver] with queue options: {:zone=>"default"}
Comment 5 errata-xmlrpc 2017-06-28 11:04:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601

Note You need to log in before you can comment on or make changes to this bug.